/*___INFO__MARK_BEGIN__*/
/*************************************************************************
 * 
 *  The Contents of this file are made available subject to the terms of
 *  the Sun Industry Standards Source License Version 1.2
 * 
 *  Sun Microsystems Inc., March, 2001
 * 
 * 
 *  Sun Industry Standards Source License Version 1.2
 *  =================================================
 *  The contents of this file are subject to the Sun Industry Standards
 *  Source License Version 1.2 (the "License"); You may not use this file
 *  except in compliance with the License. You may obtain a copy of the
 *  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
 * 
 *  Software provided under this License is provided on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 *  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
 *  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
 *  See the License for the specific provisions governing your rights and
 *  obligations concerning the Software.
 * 
 *   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
 * 
 *   Copyright: 2001 by Sun Microsystems, Inc.
 * 
 *   All Rights Reserved.
 * 
 ************************************************************************/
/*___INFO__MARK_END__*/
#include "sge_gdi_intern.h"
#include "sge_all_listsL.h"
#include "usage.h"
#include "parse_qconf.h"
#include "sge_exit.h"
#include "sig_handlers.h"
#include "commlib.h"
#include "sge_prognames.h"
#include "sgermon.h"
#include "sge_log.h"
#include "sge_me.h"
#include "msg_clients_common.h"
#include "msg_common.h"
#include "msg_qconf.h"

extern char **environ;

int main(int argc, char *argv[]);

/************************************************************************/
int main(int argc, char **argv)
{
   int cl_err = 0, ret;
   
   DENTER_MAIN(TOP_LAYER, "qconf");

   sge_gdi_param(SET_MEWHO, QCONF, NULL);
   if ((cl_err = sge_gdi_setup(prognames[QCONF]))) {
      ERROR((SGE_EVENT, MSG_GDI_SGE_SETUP_FAILED_S, cl_errstr(cl_err)));
      SGE_EXIT(1);
   }

   sge_setup_sig_handlers(QCONF);

   if ((ret = reresolve_me_qualified_hostname()) != CL_OK) {
      if (ret != COMMD_NACK_UNKNOWN_HOST && ret != COMMD_NACK_TIMEOUT) {
         SGE_ADD_MSG_ID(generate_commd_port_and_service_status_message(ret, SGE_EVENT));
         fprintf(stderr, SGE_EVENT);
      }   
      else
         SGE_ADD_MSG_ID(fprintf(stderr, MSG_CONFIG_CANTRESOLVEHOSTNAME_SS, me.qualified_hostname, cl_errstr(ret)));   
      SGE_EXIT(1);
   }   

   if (argc == 1) {
      sge_usage(stderr);
      SGE_EXIT(1);
   }

   if (sge_parse_qconf(++argv))
      SGE_EXIT(1);
   else
      SGE_EXIT(0);
   return 0;
}
